SystemOrganization addCategory: #'Zinc-Zodiac'!

ZnNetworkingUtils subclass: #ZnZodiacNetworkingUtils
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zinc-Zodiac'!

!ZnZodiacNetworkingUtils commentStamp: 'SvenVanCaekenberghe 5/18/2011 12:40' prior: 0!
ZnZodiacNetworkingUtils is socket and socketstream factory subclassing ZnNetworkingUtils,
instanciating Zodiac socket streams., namely ZdcSocketStream and ZdcSecureSocketStream.

Obviously, this class depends on Zodiac.

ZnNetworkingUtils default: ZnZodiacNetworkingUtils new.

ZnNetworkingUtils default: nil.

Part of Zinc HTTP Components.!

!ZnZodiacNetworkingUtils methodsFor: 'initialize-release' stamp: 'SvenVanCaekenberghe 11/10/2011 13:42'!
initialize 
	super initialize.
	self socketStreamClass: ZdcSocketStream.
	self secureSocketStreamClass: ZdcSecureSocketStream! !

TestCase subclass: #ZnHTTPSTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zinc-Zodiac'!

!ZnHTTPSTests commentStamp: 'SvenVanCaekenberghe 5/18/2011 14:18' prior: 0!
ZnHTTPSTests.

These require that the ZnZodiacNetworkingUtils socket stream factory is enabled:

	ZnNetworkingUtils default: ZnZodiacNetworkingUtils new.
	
Part of Zinc HTTP Components!

!ZnHTTPSTests methodsFor: 'private' stamp: 'SvenVanCaekenberghe 11/10/2011 13:53'!
ensureSocketStreamFactory
	self 
		assert: (ZnNetworkingUtils default secureSocketStreamClass notNil)
		description: 'Please set a secure socket stream class in ZnNetworkingUtils default or switch to the ZnZodiacNetworkingUtils socket stream factory'! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 11/9/2011 08:53'!
testAmazonAWS
	| client |
	self ensureSocketStreamFactory.     
	(client := ZnClient new) 
		get: 'https://aws.amazon.com/'.
	self assert: client isSuccess.
	self assert: (client contents includesSubString: 'Amazon').
	client close! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 11/9/2011 08:53'!
testGForceInria
	| client |
	self ensureSocketStreamFactory.     
	(client := ZnClient new)
		get: 'http://gforge.inria.fr/frs/?group_id=1299'.
	self assert: client isSuccess.
	self assert: (client contents includesSubString: 'INRIA').
	client close! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 11/9/2011 08:53'!
testGmailEncrypted
	| client |
	self ensureSocketStreamFactory.     
	(client := ZnClient new) 
		get: 'https://www.gmail.com'.
	self assert: client isSuccess.
	self assert: (client contents includesSubString: 'Google').    
	self assert: (client contents includesSubString: 'mail'). 
	client close! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 11/9/2011 08:53'!
testGoogleEncrypted
	| client |
	self ensureSocketStreamFactory.     
	(client := ZnClient new) 
		get: 'https://encrypted.google.com/search?q=Smalltalk'.
	self assert: client isSuccess.
	self assert: (client contents includesSubString: 'Google').    
	self assert: (client contents includesSubString: 'Smalltalk').
	client close! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 11/9/2011 08:53'!
testPayPal
	| client |
	self ensureSocketStreamFactory.     
	(client := ZnClient new) 
		get: 'https://www.paypal.com'.
	self assert: client isSuccess.
	self assert: (client contents includesSubString: 'PayPal').
	client close! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 5/18/2011 12:39'!
testRequestResponse
	| query stream request response |
	query := 'Smalltalk'.
	stream := ZdcSecureSocketStream openConnectionToHostNamed: 'encrypted.google.com' port: 443.
	[
		request := ZnRequest get: 'https://encrypted.google.com/search?q=', query.
		stream connect.
		request writeOn: stream.
		stream flush.
		response := ZnResponse readFrom: stream.
	] ensure: [ stream close ].
	self assert: response isSuccess.
	self assert: (response contents includesSubString: 'Google').   
	self assert: (response contents includesSubString: 'Smalltalk').   
! !

!ZnHTTPSTests methodsFor: 'testing' stamp: 'SvenVanCaekenberghe 11/9/2011 08:53'!
testWikimedia
	| client |
	self ensureSocketStreamFactory.     
	(client := ZnClient new) 
		get: 'https://secure.wikimedia.org/'.
	self assert: client isSuccess.
	self assert: (client contents includesSubString: 'Wikimedia').
	client close! !
